<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@include file="/include-internal.jsp"%>
<%@include file="mavenConsts.jsp"%>
<style type="text/css">
  .mavenDataContainer {
    width: 60em;
  }

  .recollectAction {
    padding-top: 2px;
    float: right;
  }

  .mavenDataContainer table {
    width: 100%;
  }
</style>

<script type="text/javascript">
  BS.Maven = {
    registerRefreshable: function() {
      if(!BS.Maven.enableRefresh)
        return;

      var isPending = false;
      BS.PeriodicalRefresh.start(15, function() {
        if (!isPending) {
          isPending = true;
          try {
            $('mavenDataContainer').refresh();
          } finally {
            isPending = false;
          }
        }
      });
    },

    unregisterRefreshable: function() {
      BS.Maven.enableRefresh = false;
      BS.PeriodicalRefresh.stop();
    },

    enableRefresh : true
  };

  document.observe("dom:loaded", function() {
    BS.Maven.registerRefreshable();
  });

</script>

<bs:refreshable containerId="mavenDataContainer" pageUrl="${pageUrl}"><div class="mavenDataContainer">

<%--@elvariable id="mavenMetadata" type="jetbrains.buildServer.maven.metadata.MavenMetadata"--%>
<c:set var="isRecollectingPossible" value="${mavenMetadata.state.regenerationPossible}"/>

<c:if test="${not mavenMetadata.state.generationPhase}">
  <script type="text/javascript">
    BS.Maven.unregisterRefreshable();
  </script>
</c:if>

<%--@elvariable id="warnOfMultipleMavenSteps" type="java.lang.Boolean"--%>
<c:if test="${warnOfMultipleMavenSteps}">
<div class="attentionComment" style="margin-top:0.5em; margin-bottom:0.5em">This build configuration contains multiple Maven2 build steps. The information below is related only to the first Maven2 step.</div>
</c:if>

<%--@elvariable id="errorMessage" type="java.lang.String"--%>
<c:if test="${(mavenMetadata.state.name eq STATE_ERROR) and (not empty errorMessage)}">
<p><strong style="color:red"><c:out value="${errorMessage}"/></strong></p>
</c:if>

<c:if test="${not empty mavenMetadata.warnings}">
<p>
  <strong>Warnings occurred while reading the project:</strong>
  <c:forEach var="warning" items="${mavenMetadata.warnings}">
    <div class="attentionRed"><c:out value="${warning.message}"/></div>
  </c:forEach>
</p>
</c:if>

<c:if test="${(mavenMetadata.state.name eq STATE_DISABLED)}">
<div class="successMessage">Maven specific information gathering is disabled for this build configuration.</div>
</c:if>

<c:if test="${(mavenMetadata.state.name eq STATE_UNSPECIFIED)}">
<div class="successMessage">Maven POM file location isn't specified in this build configuration.</div>
</c:if>

<c:if test="${mavenMetadata.state.name eq STATE_GENERATING}">
<div class="successMessage">TeamCity is collecting Maven specific information. This may take up to several minutes.<forms:progressRing/></div>
</c:if>

<c:if test="${mavenMetadata.state.name eq STATE_OUT_OF_DATE}">
<div class="successMessage">This information is out of date. TeamCity is recollecting data. This may take up to several minutes.<forms:progressRing/></div>
</c:if>

<jsp:useBean id="buildType" type="jetbrains.buildServer.serverSide.SBuildType" scope="request"/>

<c:if test="${isRecollectingPossible}">
<div class="recollectAction">
  <input type="button" value="Reread Maven project data" onclick="document.location.href='<c:url value='/maven/refreshMetadata.html?buildTypeId=${buildType.buildTypeId}'/>'"/>
</div>
<div class="clr"></div>
</c:if>

<%--@elvariable id="mavenParams" type="java.util.Map<java.lang.String,java.lang.String>"--%>
<c:if test="${not empty mavenParams}">

<h2>Provided parameters</h2>
<p>You can reference them within the build number pattern using %-notation. For example: <strong>%maven.project.version%.{0}</strong>.</p>
<table class="settings">
  <tr><th>Parameter name</th><th>Parameter value</th></tr>
  <c:forEach var="entry" items="${mavenParams}">
  <tr><td><c:out value="${entry.key}"/></td><td><c:out value="${entry.value}"/></td></tr>
  </c:forEach>
</table>
</c:if>

<%--@elvariable id="modules" type="java.util.List<java.lang.String>"--%>
<c:if test="${not empty modules}">
<h2>Modules</h2>
<table class="settings">
  <tr>
    <th>Name</th>
    <th>Version</th>
  </tr>
  <c:forEach var="module" items="${modules}">
    <%--@elvariable id="module" type="org.apache.maven.project.MavenProject"--%>
  <tr>
    <td><c:out value="${module.name}"/></td>
    <td><c:out value="${module.version}"/></td>
  </tr>
  </c:forEach>
</table>
</c:if>

<%--@elvariable id="dependencies" type="java.util.Collection"--%>
<c:if test="${not empty dependencies}">
<h2>External Dependencies</h2>
The merged list of all module dependencies
<table class="settings">
  <tr>
    <th>Group ID</th>
    <th>Artifact ID</th>
    <th>Version</th>
    <th>Scope</th>
    <th>Type</th>
  </tr>
  <c:forEach var="dep" items="${dependencies}">
    <%--@elvariable id="dep" type="jetbrains.buildServer.maven.model.Dependency"--%>
  <tr>
    <td><c:out value="${dep.GAV.groupId}"/></td>
    <td><c:out value="${dep.GAV.artifactId}"/></td>
    <td><c:out value="${dep.GAV.version}"/></td>
    <td><c:out value="${dep.scope}"/></td>
    <td><c:out value="${dep.GAV.type}"/></td>
  </tr>
  </c:forEach>
</table>
</c:if>

    <%--@elvariable id="tcDependencies" type="java.util.Collection<com.intellij.openapi.util.Pair<SBuildType, java.util.Collection<jetbrains.buildServer.maven.model.MavenGAV>>>"--%>
<c:if test="${not empty tcDependencies}">
  <h2>Related Build Configurations</h2>
  These build configurations produce artifacts which are snapshot dependencies of this Maven project  
  <table class="settings">
    <tr>
      <th>Configuration</th>
      <th>Produced Artifacts</th>
    </tr>
    <c:forEach var="pair" items="${tcDependencies}">
      <%--@elvariable id="pair" type="com.intellij.openapi.util.Pair<SBuildType, java.util.Collection<jetbrains.buildServer.maven.model.MavenGAV>>"--%>
      <c:set var="buildType" value="${pair.first}"/>
      <c:set var="producedArtifacts" value="${pair.second}"/>

      <%--@elvariable id="buildType" type="jetbrains.buildServer.serverSide.SBuildType"--%>
      <%--@elvariable id="producedArtifacts" type="java.util.Collection<jetbrains.buildServer.maven.model.MavenGAV>"--%>
    <tr>
      <td><bs:buildTypeLink buildType="${buildType}"/></td>
      <td>
        <c:forEach var="artifact" items="${producedArtifacts}">
          <c:out value="${artifact}"/><br/>
        </c:forEach>
      </td>
    </tr>
    </c:forEach>
  </table>
</c:if>

</div></bs:refreshable>