<%@ page import="jetbrains.buildServer.maven.buildInfo.Project" %>
<%@ page import="jetbrains.buildServer.maven.model.Dependency" %>
<%@ page import="static jetbrains.buildServer.maven.web.MavenWebUtil.*" %>
<%@ page import="jetbrains.buildServer.maven.model.MavenGAV" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="bs" tagdir="/WEB-INF/tags" %>
<%@include file="/include-internal.jsp"%>

<%--@elvariable id="mavenBuildInfo" type="jetbrains.buildServer.maven.buildInfo.MavenBuildInfo"--%>
<%--@elvariable id="build" type="jetbrains.buildServer.serverSide.SBuild"--%>
<%--@elvariable id="project" type="jetbrains.buildServer.maven.buildInfo.Project"--%>

<div id="maven-projects-header">
  Maven Projects: <c:if test="${not empty project}"><span>${project.name}</span></c:if>
</div>

<table id="maven-projects">
  <tr>
    <td class="left-pane">
      <c:forEach items="${mavenBuildInfo.projects}" var="p">
        <c:if test="${p.id == project.id}">
          <div class="item selected">
            <strong><c:out value="${p.name}"/></strong>
          </div>
        </c:if>
        <c:if test="${p.id != project.id}">
          <div class="item">
            <a href="#" onclick="updateProjectDetails('${p.id}');return false">
              <c:out value="${p.name}"/>
            </a>
          </div>
        </c:if>
      </c:forEach>
    </td>

    <td class="right-pane ${empty project ? 'empty' : ''}">
      <c:if test="${empty project}">Select a project</c:if>

      <c:if test="${not empty project}">
        <table class="settings" style="font-size: 100%">
          <tr><td style="width: 15em"><strong>Group Id:</strong></td><td><c:out value="${project.GAV.groupId}"></c:out></td></tr>
          <tr><td><strong>Artifact Id:</strong></td><td><c:out value="${project.GAV.artifactId}"></c:out></td></tr>
          <tr><td><strong>Version:</strong></td><td><c:out value="${project.GAV.version}"></c:out></td></tr>
          <tr><td><strong>Packaging:</strong></td><td><c:out value="${project.packaging}"></c:out></td></tr>
          <c:if test="${not empty project.activeProfiles}">
          <tr><td><strong>Active Profiles:</strong></td><td><c:forEach items="${project.activeProfiles}" var="profile"><c:out value="${profile} "/></c:forEach></td></tr>
          </c:if>
          <tr><td><strong>Produced Artifact:</strong></td><td><c:set var="gav" value='<%=printGAV(((Project)request.getAttribute("project")).getArtifact())%>'/><c:out value="${gav}"/></td></tr>

          <c:if test="${not empty project.attachedArtifacts}">
            <tr><td><strong>Attached Artifacts:</strong></td>
            <td><c:forEach items="${project.attachedArtifacts}" var="artifact">
            <div><c:set var="gav" value='<%=printGAV((MavenGAV)pageContext.getAttribute("artifact"))%>'/><c:out value="${gav}"/></div>
            </c:forEach></td></tr>
          </c:if>

          <c:if test="${not empty project.dependencyArtifacts}">
            <tr><td><strong>Dependency Artifacts:</strong></td>
            <td><c:forEach items="${project.dependencyArtifacts}" var="artifact">
            <c:set var="gav" value='<%=printGAV(((Dependency)pageContext.getAttribute("artifact")).getGAV())%>'/>
            <div>
              <c:out value="${gav}"/><c:if test="${not empty artifact.scope}"><c:out value=" (${artifact.scope})"/></c:if>
            </div>
            </c:forEach></td></tr>
          </c:if>

          <c:if test="${not empty project.effectivePlugins}">
            <tr><td><strong>Effective Plugins:</strong></td>
            <td><c:forEach items="${project.effectivePlugins}" var="artifact">
            <div><c:set var="gav" value='<%=printGAV((MavenGAV)pageContext.getAttribute("artifact"))%>'/><c:out value="${gav}"/></div>
            </c:forEach></td></tr>
          </c:if>
        </table>
      </c:if>
    </td>
  </tr>
</table>
