<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="admin" tagdir="/WEB-INF/tags/admin" %>
<%@ include file="/include-internal.jsp" %>

<jsp:useBean id="bean" type="jetbrains.buildServer.maven.web.MavenSettingsController.MavenServerConfigBean" scope="request"/>
<bs:fileBrowsePage id="mavenSettings"
                   dialogId="addSettings"
                   dialogTitle="Upload Maven Settings"
                   bean="${bean}"
                   actionPath="/admin/uploadMavenSettings.html"
                   homePath="/admin/admin.html?item=mavenSettings"
                   pageUrl="${pageUrl}"
                   jsBase="BS.MavenAddSettings">
  <jsp:attribute name="belowFileName">
    <c:set var="buildTypeUsages" value="${bean.buildTypeUsages}"/>
    <c:set var="templateUsages" value="${bean.templateUsages}"/>
    <c:choose>
      <c:when test="${empty buildTypeUsages and empty templateUsages}">
        <div class="usages">File is not used in any build configuration or template.</div>
      </c:when>
      <c:otherwise>
        <div class="usages">
          Used in
          <c:if test="${not empty buildTypeUsages}">
            <bs:simplePopup controlId="mavenSettingsBtUsages">
              <jsp:attribute name="content">
                <c:forEach items="${buildTypeUsages}" var="bt">
                  <div><bs:buildTypeLinkFull buildType="${bt}"/></div>
                </c:forEach>
              </jsp:attribute>
              <jsp:body>${fn:length(buildTypeUsages)} build configuration<bs:s val="${fn:length(buildTypeUsages)}"/></jsp:body>
            </bs:simplePopup>
            <c:if test="${not empty templateUsages}">and</c:if>
          </c:if>
          <c:if test="${not empty templateUsages}">
            <bs:simplePopup controlId="mavenSettingsTmplUsages">
              <jsp:attribute name="content">
                <c:forEach items="${templateUsages}" var="template">
                  <div>
                    <authz:authorize projectId="${template.parentProject.projectId}" allPermissions="EDIT_PROJECT"
                      ><jsp:attribute name="ifAccessGranted"
                        ><admin:editTemplateLink templateId="${template.id}"><c:out value="${template.fullName}"/></admin:editTemplateLink
                      ></jsp:attribute
                      ><jsp:attribute name="ifAccessDenied"
                        ><c:out value="${template.fullName}"
                      /></jsp:attribute
                    ></authz:authorize>
                  </div>
                </c:forEach>
              </jsp:attribute>
              <jsp:body>${fn:length(templateUsages)} template<bs:s val="${fn:length(templateUsages)}"/></jsp:body>
            </bs:simplePopup>
          </c:if>
        </div>
      </c:otherwise>
    </c:choose>
  </jsp:attribute>
  <jsp:attribute name="headMessage">
    Maven settings files (stored in <code>${bean.directoryPath}</code>):
  </jsp:attribute>
  <jsp:attribute name="headMessageNoFiles">
    There are no Maven settings files.
  </jsp:attribute>
</bs:fileBrowsePage>

<script type="text/javascript">
  (function() {
    var fileContent = $j('.fileContent');

    if (fileContent.length > 0) {
      hljs.highlightBlock(fileContent.get(0));
    }
  })();
</script>
